Source: golang-github-lpabon-godbc
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 3.9.8
Homepage: https://github.com/lpabon/godbc
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lpabon-godbc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lpabon-godbc.git
XS-Go-Import-Path: github.com/lpabon/godbc

Package: golang-github-lpabon-godbc-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-stretchr-testify-dev
Description: Design-by-contract library for Go
 Design-by-contract is an approach for designing software where the
 programmer defines a formal, precise and verifiable interface
 specification for software components.
 .
 The godbc library implements the design-by-contract methodology using
 pre- and post-condition assertion methods.
